package sharin.doc.builder.xhtml1;

public class TdElem extends GenericCellElem<TdElem> {

    public TdElem(Object... nodes) {
        super("td", nodes);
    }

    public TdElem abbr(Object value) {
        return attr("abbr", value);
    }

    public TdElem axis(Object value) {
        return attr("axis", value);
    }

    public TdElem bgcolor(Object value) {
        return attr("bgcolor", value);
    }

    public TdElem colspan(Object value) {
        return attr("colspan", value);
    }

    public TdElem headers(Object value) {
        return attr("headers", value);
    }

    public TdElem height(Object value) {
        return attr("height", value);
    }

    public TdElem nowrap(boolean nowrap) {
        return nowrap ? nowrap("nowrap") : this;
    }

    public TdElem nowrap(Object value) {
        return attr("nowrap", value);
    }

    public TdElem rowspan(Object value) {
        return attr("rowspan", value);
    }

    public TdElem scope(Object value) {
        return attr("scope", value);
    }

    public TdElem scopeCol() {
        return scope("col");
    }

    public TdElem scopeColgroup() {
        return scope("colgroup");
    }

    public TdElem scopeRow() {
        return scope("row");
    }

    public TdElem scopeRowgroup() {
        return scope("rowgroup");
    }

    public TdElem width(Object value) {
        return attr("width", value);
    }
}
